<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Conclusão &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="SOFIN - Sistema de Controle Orçamentário e Financeiro" href="sistemas/administrativos/sofin.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/geqt.html">GEQT - Sistema de Gestão de Equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html">SDCL - Sistema de Diário de Classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sistemas/administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Conclusão</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#diagrama-geral">Diagrama geral</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#lista-de-sistemas-do-diagrama-geral">Lista de sistemas do diagrama geral</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#conclusao-das-analises">Conclusão das análises</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#arquitetura-de-software">Arquitetura de Software</a></li>
<li class="toctree-l3"><a class="reference internal" href="#arquitetura-da-informacao">Arquitetura da informação</a></li>
<li class="toctree-l3"><a class="reference internal" href="#necessidades-dos-usuarios">Necessidades dos usuários</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#gestor">Gestor</a></li>
<li class="toctree-l4"><a class="reference internal" href="#professor">Professor</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#plano-de-acao">Plano de Ação</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#produto-1">Produto 1</a></li>
<li class="toctree-l3"><a class="reference internal" href="#produto-2">Produto 2</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
      <li>Conclusão</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/conclusão.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="conclusao">
<h1>Conclusão<a class="headerlink" href="#conclusao" title="Permalink to this headline"></a></h1>
<p>A construção deste relatório é resultado das diversas reuniões feitas entre os consultores da Pencillabs e os times técnico e de gestão da Secretaria de Educação da Prefeitura do Recife.
Estas reuniões, feitas de modo remoto, nos permitiram coletar diversas informações sobre os sistemas, suas particularidades e principais problemas enfrentados pelos usuários. Foram analisados doze sistemas ao
todo, sendo dez sistemas pedagógicos e dois sistemas administrativos e financeiros. Os sistemas pedagógicos analisados foram: <a class="reference external" href="sistemas/pedagogicos/geqt.html">Sistema de gestão de pessoas (GEQT)</a>, <a class="reference external" href="sistemas/pedagogicos/saap.html">Sistema de Acompanhamento de Ações Pedagógicas (SAAP)</a>, <a class="reference external" href="sistemas/pedagogicos/sdcl.html">Sistema de Diário de Classe (SDCL)</a>, <a class="reference external" href="sistemas/pedagogicos/seinfra.html">Sistema de gerenciamento da capacidade instalada (SEINFRA)</a>, <a class="reference external" href="sistemas/pedagogicos/sadr.html">Sistema de avaliação diagnóstica (SADR)</a>, <a class="reference external" href="sistemas/pedagogicos/segp.html">Sistema de Gestão de Pessoas (SEGP)</a>, <a class="reference external" href="sistemas/pedagogicos/geqt.html">Sistema de Gestão de Equipamentos (GEQT)</a>, <a class="reference external" href="sistemas/pedagogicos/semeweb.html">Semeweb/SEGE</a> e <a class="reference external" href="sistemas/pedagogicos/segm.html">Sistema de Gestão de Merendas (SEGM)</a>. Os sistemas administrativos e financeiros analisados foram: <a class="reference external" href="sistemas/administrativos/consist.html">Consist</a> e <a class="reference external" href="sistemas/administrativos/sofin.rst">SOFIN</a>.</p>
<p>Para cada sistema foi feito o levantamento das principais funcionalidades, perfis de usuário e comunicação com outros sistemas e bases de dados.
O trabalho de modelagem e análise somados à comunicação frequente com os times da Secretaria, nos permitiram ter uma visão mais acertiva dos principais problemas tecnológicos e de governança enfrentados pelos servidores do Órgão.</p>
<p>Nesta etapa do relatório iremos apresentar nossas conclusões focando em três temas: Arquitetura de
Software, Arquitetura da Informação e necessidades dos usuários. Apresentaremos um diagrama que
representa a fotografia dos sistemas que foram objeto de análise do relatório. Discutiremos os
principais problemas encontrados e apresentaremos um plano de ação que a Secretaria poderá utilizar
como suporte para tomada de decisão.</p>
<section id="diagrama-geral">
<h2>Diagrama geral<a class="headerlink" href="#diagrama-geral" title="Permalink to this headline"></a></h2>
<a class=""
               data-lightbox="group-0d5461a1-061d-4d64-8c48-4f760b1e8bce"
               href="_images/1.png"
               title=""
               data-title=""
               
               ><img src="_images/1.png"
                     class=""
                     width="100%"
                     height="auto"
                     alt=""/>
                </a><p><strong>obs: Para uma melhor visualização, clique com o botão direito na imagem e abra a mesma em uma nova
aba.</strong></p>
<section id="lista-de-sistemas-do-diagrama-geral">
<h3>Lista de sistemas do diagrama geral<a class="headerlink" href="#lista-de-sistemas-do-diagrama-geral" title="Permalink to this headline"></a></h3>
<table class="colwidths-given docutils align-default" id="id8">
<caption><span class="caption-text">Lista de sistemas avaliados</span><a class="headerlink" href="#id8" title="Permalink to this table"></a></caption>
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Nome</p></th>
<th class="head"><p>Análise no relatório</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>SEMEWEB e SEGE - Sistema de Cadastro Escolar</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/semeweb.html">SEMEWEB e SEGE</a></p></td>
</tr>
<tr class="row-odd"><td><p>SDCL - Sistema Diário de Classe On-line</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/sdcl.html">SDCL</a></p></td>
</tr>
<tr class="row-even"><td><p>SAAP - Sistema de Acompanhamento de Ações Pedagógicas</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/saap.html">SAAP</a></p></td>
</tr>
<tr class="row-odd"><td><p>SEGM - Sistema de Alimentação Escolar</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/segm.html">SEGM</a></p></td>
</tr>
<tr class="row-even"><td><p>SEGP - Sistema de Gestão de Pessoas</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/segp.html">SEGP</a></p></td>
</tr>
<tr class="row-odd"><td><p>Matrícula Online</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/matricula.html">Matrícula Online</a></p></td>
</tr>
<tr class="row-even"><td><p>SEINFRA - Planejamento de vagas e capacidade instalada</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/seinfra.html">SEINFRA</a></p></td>
</tr>
<tr class="row-odd"><td><p>SADR - Sistema de Avaliação diagnóstica da Rede</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/sadr.html">SADR</a></p></td>
</tr>
<tr class="row-even"><td><p>GEQT - Sistema de Gestão de Equipamentos</p></td>
<td><p><a class="reference external" href="sistemas/pedagogicos/geqt.html">GEQT</a></p></td>
</tr>
</tbody>
</table>
</section>
</section>
<section id="conclusao-das-analises">
<h2>Conclusão das análises<a class="headerlink" href="#conclusao-das-analises" title="Permalink to this headline"></a></h2>
<section id="arquitetura-de-software">
<h3>Arquitetura de Software<a class="headerlink" href="#arquitetura-de-software" title="Permalink to this headline"></a></h3>
<p>Como é possível perceber no diagrama geral, todos os sistemas da secretaria consomem e escrevem em
um único banco de dados Oracle chamada SECE. Cada sistema possui regras que limitam quais tabelas podem ser acessadas no modo leitura e quais podem ser acessadas no modo de escrita.
O controle de restrição de acesso é todo feito no SECE, através de <a class="reference external" href="https://docs.oracle.com/cd/B14099_19/web.1012/b14012/datasrc.htm#CIHDHCCC">DataSource</a>.
Todos os sistemas, bancos de dados e demais unidades de software são mantidos pela empresa Emprel.</p>
<p>Durante o processo de levantamento de dados e modelagem notamos alguns momentos de instabilidade nos sistemas da Secretaria. Relatórios que não carregavam, informações que não eram apresentadas corretamente entre outros problemas de instabilidade e responsividade. Após ouvir tanto servidores da camada de gestão da Secretaria, professores e a própria Emprel, concluímos que não é possível afirmar que tal instabilidade se dá <strong>apenas</strong> pelo fato de todos os sistemas conectarem em uma base de dados única.
Para investigar esses problemas e chegar a uma conclusão correta, seria necessária uma consultoria com acesso total ao código-fonte dos sistemas e a infraestrutura de servidores. Esta consultoria não teve acesso à nenhum código, máquina virtual, sistema ou unidade de software que permitisse tais avaliações. Vale ressaltar que muitos dos sistemas avaliados utilizam tecnologias antigas e legadas (<a class="reference external" href="sistemas/pedagogicos/sdcl.html">SDCL</a>, <a class="reference external" href="sistemas/pedagogicos/sadr.html">SADR</a>), contribuindo para lentidões e funcionamentos incorretos.</p>
<p>Por não ser escopo desse relatório avaliar o desempenho dos sistemas da Secretaria, iremos nos ater
ao que foi possível coletar junto à Emprel e com outros atores envolvidos com desenvolvimento e
infraestrutura no Órgão. O processo de <em>deploy</em> das aplicações está automatizado com
<a class="reference external" href="https://www.jenkins.io/">Jenkins</a>, o código das aplicações é versionado no <a class="reference external" href="https://gitlab.com/">Gitlab</a> e existe uma política interna de atualização dos ambientes em produção. Existe um movimento interno na Emprel de começar a expor recursos dos sistemas via API, principalmente para atender projetos <em>mobile</em>, como o aplicativo do Sistema de Diário de Classe que está sendo desenvolvido.</p>
</section>
<section id="arquitetura-da-informacao">
<h3>Arquitetura da informação<a class="headerlink" href="#arquitetura-da-informacao" title="Permalink to this headline"></a></h3>
<p>Dos dez sistemas analisados no relatório, apenas GEQT e SEGE possuem uma boa identidade
visual, além de uma estrutura de navegação que auxilie o usuário na execução das tarefas. O restante
não é <em>mobile-friendly</em> e mesmo no <em>desktop</em> ou monitores maiores apresentam problemas
de responsividade. Além dos problemas de <em>interface</em> também temos problemas na jornada do usuário,
exigindo vários <em>clicks</em> para execução de tarefas simples.</p>
<p>Um ponto de atenção relacionado a arquitetura da informação mas também relacionado à governança é a dificuldade que a Secretaria tem de “encaixar” seus sistemas dentro de processos organizacionais.
Em diversos momentos das reuniões foram citados problemas que ocorrem no ambito digital, mas que surgem no ambito humano e de organização do trabalho.
É vital que a Secretaria faça um trabalho interno que mapeie não só funcionalidades, perfis de
usuário e arquitetura da informação (foco deste relatório), mas também processos e procedimentos envolvendo as relações entre setores, o calendário letivo e até mesmo outros orgãos como o próprio MEC. A decisão de alterar ou desenvolver novos sistemas deve estar alinhada com processos organizacionais bem definidos.</p>
</section>
<section id="necessidades-dos-usuarios">
<h3>Necessidades dos usuários<a class="headerlink" href="#necessidades-dos-usuarios" title="Permalink to this headline"></a></h3>
<p>Os sistemas da Secretaria possuem diferentes perfis de usuário com diferentes níveis de acesso.
Concluímos que os dois principais perfis são <strong>Gestor</strong> e <strong>Professor</strong>.</p>
<section id="gestor">
<h4>Gestor<a class="headerlink" href="#gestor" title="Permalink to this headline"></a></h4>
<p>A principal necessidade do perfil Gestor é conseguir gerar inteligência de
negócio a partir dos dados gerados pelos diferentes sistemas do órgão. Atualmente, esse
perfil não possui nenhum ponto de acesso ao SECE. Muitas vezes, é preciso
solicitar que servidores com acesso ao banco de dados extraiam informações relevantes para a camada
de gestão, tornando o processo demorado e burocrático.</p>
<p>Conseguir extrair informações acessíveis e confiáveis do SECE sem ser necessário entrar em cada um dos sistemas, resolveria os principais problemas dos gestores da Secretaria. Sabemos que cada sistema possui um login próprio (mesmo que integrado no EMAC ou ConectaLogin) e que problemas técnicos de autenticação dificultam o acesso à informação e a tomada de decisão. O time de gestão precisa de um ambiente intuitivo, acessível e que permita recuperar informações do SECE sem ter que depender de terceiros e sem ter que entrar em cada um dos sistemas individualmente.</p>
<p>Houve um projeto envolvendo tecnologias de Inteligência de Negócio que utilizaram
o sistema <a class="reference external" href="https://www.qlik.com/us/products/qlikview">ClickView</a>. Segundo um analista da Emprel, alguns <a class="reference external" href="http://qlikview.recife.pe.gov.br/">dashboards</a> foram construídos para que as equipes de gestão pudessem ter acesso a diferentes dados presentes no SECE. Não sabemos se seria possível reutilizar esse projeto, mas parte da solução deve: identificar quais são essas informações relevantes para os gestores e qual a melhor forma de visualizá-las.</p>
</section>
<section id="professor">
<h4>Professor<a class="headerlink" href="#professor" title="Permalink to this headline"></a></h4>
<p>A Secretaria possui sistemas que resolvem problemas de diferentes contextos. <a class="reference external" href="sistemas/pedagogicos/geqt.html">GEQT</a>, por
exemplo, é utilizado para a gestão do parque tecnológico. Temos também o <a class="reference external" href="sistemas/pedagogicos/segm.html">SEGM</a>, voltado para gestão de merendas. Boa parte dos sistemas avaliados por esse
relatório são secundários à atividade docente. Secundários no sentido de que não tem relação direta
com o trabalho de sala de aula. Os principais sistemas voltados para o professor que
analisamos foram <a class="reference external" href="sistemas/pedagogicos/sdc.html">SDCL</a> e <a class="reference external" href="sistemas/pedagogicos/sadr.html">SADR</a>.</p>
<p>O Sistema de Diário de Classe (SDCL) é o principal sistema para o professor realizar o acompanhamento dos seus alunos e turmas.  Suas funcionalidades são indispensáveis para determinar, por exemplo, se o aluno passou ou reprovou
de ano. O SADR atua mais voltado na definição metodológica do ensino, estruturando a matriz, eixos e
direitos de aprendizado. Juntos, deveriam entregar ao professor ferramentas tanto para o
dia-a-dia da sala de aula quanto para uma visão geral do ensino aplicado pela Secretaria.</p>
<p>Os principais problemas que identificamos com estes sistemas foram os seguintes:</p>
<ol class="arabic simple">
<li><p>Não integração entre a avaliação do professor (feita via SDCL) e as diretrizes definidas no SADR;</p></li>
<li><p>Ausência da possibilidade do professor realizar uma avaliação interna (na turma) utilizando a
matriz/eixo/direitos de aprendizado definidos no SADR. Hoje esse processo é feito manualmente;</p></li>
<li><p>Ausência da possibilidade de avaliar um aluno em específico utilizando a matriz/eixo/direitos de aprendizado definidos no SADR;</p></li>
</ol>
<p>Além disso, os usuários do SDCL tem reportado constantemente problemas de acesso ao sistema. Em um
relatório de chamados disponibilizado por servidores da Secretaria, dos 8975 chamados abertos, 2354 tinham
relação com o sistema Diário de Classe. Avaliando estes 2354 chamados, 1083 (quase metade) são relacionados à problemas de perfil de acesso e autenticação (login e senha).
O diagrama a seguir apresenta o número de chamados por sistema:</p>
<img alt="_images/3.png" src="_images/3.png" />
<p>A planilha com os dados dos chamados pode ser encontrada <a class="reference external" href="static/data/conclusão/chamados.xlsx">aqui</a>.</p>
</section>
</section>
</section>
<section id="plano-de-acao">
<h2>Plano de Ação<a class="headerlink" href="#plano-de-acao" title="Permalink to this headline"></a></h2>
<p>A partir das conclusões apresentadas, iremos propor um plano de ação para que a
Secretaria dê os primeiros passos na correção dos problemas identificados. Entendemos que
existem diferentes perfis envolvidos na atividade de desenvolvimento, manutenção, uso e gestão dos
sistemas. Por isso é necessário pensarmos possibilidades que se adequem a disponibilidade de
recursos humanos e tecnológicos da Secretaria. Iremos dividir o Roadmap em produtos para facilitar a
priorização.</p>
<section id="produto-1">
<h3>Produto 1<a class="headerlink" href="#produto-1" title="Permalink to this headline"></a></h3>
<p>O produto 1 será a construção de um sistema de inteligência de negócio voltado para as equipes de
gestão da Secretaria. Esse sistema terá como escopo principal permitir que o usuário <strong>visualize e recupere</strong> informações do SECE. Conforme o levantamento que fizemos para o relatório, essa é a principal necessidade do perfil <strong>Gestor</strong> na Secretaria de Educação.</p>
<p>Essa nova plataforma deve permitir ao gestor buscar informações em toda a base de dados e, a partir
disso, construir ou reutilizar diferentes formas de visualização.
Sugerimos para esse produto o uso do conjunto de ferramentas do projeto
<a class="reference external" href="https://www.elastic.co/pt/">Elastic Stack</a>.
O Elastic Stack é uma plataforma de <strong>código aberto</strong> voltada para busca e visualização de dados. Com ela, é possível extrair dados de diferentes fontes e, a partir disso, construir dashboards dinâmicos e relatórios estruturados. O Elastic Stack é utilizado por empresas como Uber e Netflix, possui uma vasta documentação e seus recursos estão disponíveis para qualquer organização ou empresa.</p>
<p>Para ser possível buscar em todas as tabelas do SECE um projeto de desenvolvimento será necessário.
O Elastic Stack possui um modelo próprio de armazenamento dos dados que não é diretamente
compatível com o SECE, ou seja, não é possível fazer as buscas direto no banco Oracle. Por isso,
será necessário um projeto que importe os dados do SECE para a base de dados do ElasticSearch. Com
os dados importados seremos capazes de indexa-los para que buscas textuais em toda a base sejam
possíveis. Para visualizar o resultado das buscas e construir dashboards dinâmicos, utilizaremos o
Kibana, ferramenta do Elastic Stack voltada para a visualização dos dados. O diagrama a seguir
apresenta uma visão geral do projeto.</p>
<a class=""
               data-lightbox="group-de67e034-48b2-4351-9490-55b2f165b1a2"
               href="_images/2.png"
               title=""
               data-title=""
               
               ><img src="_images/2.png"
                     class=""
                     width="100%"
                     height="auto"
                     alt=""/>
                </a><p>O objetivo final é termos uma plataforma de visualização de dados que tenha acesso de leitura
ao banco de dados Oracle. Dados novos inseridos são periodicamente importados pelo serviço <a class="reference external" href="https://www.elastic.co/guide/en/logstash/current/plugins-inputs-jdbc.html">LogStash</a>. Os dados importados são armazenados no ElasticSearch, que utiliza um modelo de dados não-relacional para otimizar buscas textuais. O Kibana fica responsável pela criação e visualização dos dashboards. Com essa estrutura, um gestor poderia criar um Dashboard focado em dados dos professores enquanto outro poderia focar na capacidade instalada da Secretaria.</p>
</section>
<section id="produto-2">
<h3>Produto 2<a class="headerlink" href="#produto-2" title="Permalink to this headline"></a></h3>
<p>O produto 2 será a construção de uma plataforma de controle de autenticação e permissão para os demais sistemas da Secretaria. Dados extraidos de <a class="reference external" href="static/data/conclusão/chamados.xlsx">uma planilha de chamados</a> demonstram que a maioria das dificuldades dos usuários têm relação com autenticação, sendo o Diário de Classe o sistema com maior número de chamados abertos. Nosso relatório concluiu que o fato de cada sistema ter um login próprio (seja via EMAC ou ConectaLogin) dificulta o acesso e integração entre os sistemas. O objetivo é permitir que com um único acesso o usuário esteja automaticamente autenticado em todos os sistemas que estiverem integrados ao produto 2.</p>
<p>O primeiro passo deve ser avaliar se a partir do ConectaLogin seria possível
autenticar um mesmo usuário em diferentes sistemas da Secretaria. Além da autenticação, essa
avaliação também deve investigar a possibilidade de controle de permissão por meio do login único.
Avaliamos que esse é um primeiro passo viável, já que o ConectaLogin utiliza internamente o projeto <a class="reference external" href="https://www.keycloak.org/">Keycloak</a>.
Keycloak é um projeto de código aberto, voltado para autenticação e controle de acesso e que possui um
serviço de <em>Single-Sign on</em>. Propomos que o trabalho comece pelo <a class="reference external" href="./sistemas/segp.html">SEGP</a> e
pelo <a class="reference external" href="./sistemas/semeweb.html">SEGE</a>, que já utilizam ConectaLogin. Logo que os primeiros passos
em direção ao login único forem dados é extremamente importante avaliar o esforço para adaptar
outros sistemas, como Diário de Classe, ao ConectaLogin. Sem isso, o produto 2 irá conseguir
intermediar a autenticação de poucos sistemas, podendo não resolver o problema da Secretaria
completamente. O produto 2 também ficará responsável por integrar o Produto 1 à estrutura de login
único. O diagrama a seguir apresenta uma visão geral da solução:</p>
<a class=""
               data-lightbox="group-adfc94d8-e88e-4737-885c-16176817621e"
               href="_images/4.png"
               title=""
               data-title=""
               
               ><img src="_images/4.png"
                     class=""
                     width="100%"
                     height="auto"
                     alt=""/>
                </a><p>Este relatório foi produzido pela empresa <a class="reference external" href="https://pencillabs.com.br/">Pencillabs</a>. Para duvidas
ou sugestões, entre em contato por <cite>contato&#64;pencillabs.com.br</cite>.</p>
</section>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="sistemas/administrativos/sofin.html" class="btn btn-neutral float-left" title="SOFIN - Sistema de Controle Orçamentário e Financeiro" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>